Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cms
Class RecipientInfo

    java.lang.Object
      |
      +--org.bouncycastle.asn1.cms.RecipientInfo

All Implemented Interfaces:
  DEREncodable

public class RecipientInfo
extends java.lang.Object
implements DEREncodable

Constructor Summary
`RecipientInfo(DERObject info)`
`RecipientInfo(KEKRecipientInfo info)`
`RecipientInfo(KeyAgreeRecipientInfo info)`
`RecipientInfo(KeyTransRecipientInfo info)`

Method Summary
`DERObject` | `getDERObject()` RecipientInfo ::= CHOICE { ktri KeyTransRecipientInfo, kari [1] KeyAgreeRecipientInfo, kekri [2] KEKRecipientInfo }
`DEREncodable` | `getInfo()`
`static RecipientInfo` | `getInstance(java.lang.Object o)`
`DERInteger` | `getVersion()`
`boolean` | `isTagged()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RecipientInfo

    public RecipientInfo(KeyTransRecipientInfo info)

### RecipientInfo

    public RecipientInfo(KeyAgreeRecipientInfo info)

### RecipientInfo

    public RecipientInfo(KEKRecipientInfo info)

### RecipientInfo

    public RecipientInfo(DERObject info)

Method Detail

### getInstance

    public static RecipientInfo getInstance(java.lang.Object o)

### getVersion

    public DERInteger getVersion()

### isTagged

    public boolean isTagged()

### getInfo

    public DEREncodable getInfo()

### getDERObject

    public DERObject getDERObject()

       RecipientInfo ::= CHOICE {
       	ktri KeyTransRecipientInfo,
       	kari [1] KeyAgreeRecipientInfo,
       	kekri [2] KEKRecipientInfo
       }

  Specified by:
    `getDERObject` in interface `DEREncodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD